
import org.infinispan.Cache;
import org.infinispan.manager.DefaultCacheManager;

/**
 * @author tf
 */
public class E01 {

    public static void main(String[] args){
        DefaultCacheManager cm = null;
        try {
            cm = new DefaultCacheManager("E01.xml");
            cm.startCache("LOCALCS");
            Cache c = cm.getCache("LOCALCS");

            Integer i;
            System.out.println("Start");
            c.getAdvancedCache().getTransactionManager().begin();
            c.getAdvancedCache().lock("CID");
            i = (Integer)c.get("CID");
            if(i == null){
                i = 0;
            }
            c.put("CID", ++i);
            c.getAdvancedCache().getTransactionManager().commit();
            System.out.println("Finished");
        } catch (Throwable t){
            t.printStackTrace();
        } finally {
            if(cm != null){
                cm.stop();
            }
        }
    }
}
